Package com.oracle.nosql.spring.data.repository.query

# Class NosqlQueryExecution.AbstractExecution<T>

java.lang.Object
com.oracle.nosql.spring.data.repository.query.NosqlQueryExecution.AbstractExecution<T>

All Implemented Interfaces:
  `NosqlQueryExecution`

Direct Known Subclasses:
  `NosqlQueryExecution.CollectionExecution`, `NosqlQueryExecution.CountExecution`, `NosqlQueryExecution.DeleteExecution`, `NosqlQueryExecution.ExistsExecution`, `NosqlQueryExecution.PagedExecution`, `NosqlQueryExecution.SlicedExecution`

Enclosing interface:
  `NosqlQueryExecution`

public abstract static class NosqlQueryExecution.AbstractExecution<T> extends Object implements NosqlQueryExecution

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.oracle.nosql.spring.data.repository.query.NosqlQueryExecution

  `NosqlQueryExecution.AbstractExecution<T>, NosqlQueryExecution.CollectionExecution<T>, NosqlQueryExecution.CountExecution<T>, NosqlQueryExecution.DeleteExecution<T>, NosqlQueryExecution.ExistsExecution<T>, NosqlQueryExecution.PagedExecution<T>, NosqlQueryExecution.SlicedExecution<T>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final NosqlEntityInformation<T,?>`
  `entityInformation`
  `protected final NosqlOperations`
  `operations`
  `protected final NosqlQueryMethod`
  `queryMethod`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Object`
  `execute(NosqlQuery query)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### operations

    protected final NosqlOperations operations

  - ### entityInformation

    protected final NosqlEntityInformation<T,?> entityInformation

  - ### queryMethod

    protected final NosqlQueryMethod queryMethod

- ## Method Details

  - ### execute

    public abstract Object execute(NosqlQuery query)
    Specified by:
      `execute` in interface `NosqlQueryExecution`